javax.faces.application

## Class FacesMessage

- java.lang.Object
- - javax.faces.application.FacesMessage

- All Implemented Interfaces:
    Serializable

      public class FacesMessage
      extends Object
      implements Serializable

  FacesMessage represents a single validation (or other) message, which is typically associated with a particular component in the view. A `FacesMessage` instance may be created based on a specific `messageId`. The specification defines the set of `messageId`s for which there must be `FacesMessage` instances.

  The implementation must take the following steps when creating `FacesMessage` instances given a `messageId`:

  Call `Application.getMessageBundle()`. If non-`null`, locate the named `ResourceBundle`, using the `Locale` from the current `UIViewRoot` and see if it has a value for the argument `messageId`. If it does, treat the value as the `summary` of the `FacesMessage`. If it does not, or if `Application.getMessageBundle()` returned `null`, look in the `ResourceBundle` named by the value of the constant `FACES_MESSAGES` and see if it has a value for the argument `messageId`. If it does, treat the value as the `summary` of the `FacesMessage`. If it does not, there is no initialization information for the `FacesMessage` instance.

  In all cases, if a `ResourceBundle` hit is found for the `{messageId}`, look for further hits under the key `{messageId}_detail`. Use this value, if present, as the `detail` for the returned `FacesMessage`.

  Make sure to perform any parameter substitution required for the `summary` and `detail` of the `FacesMessage`.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FacesMessage.Severity` Class used to represent message severity levels in a typesafe enumeration.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FACES_MESSAGES` `ResourceBundle` identifier for messages whose message identifiers are defined in the JavaServer Faces specification.
    `static FacesMessage.Severity` | `SEVERITY_ERROR` Message severity level indicating that an error has occurred.
    `static FacesMessage.Severity` | `SEVERITY_FATAL` Message severity level indicating that a serious error has occurred.
    `static FacesMessage.Severity` | `SEVERITY_INFO` Message severity level indicating an informational message rather than an error.
    `static FacesMessage.Severity` | `SEVERITY_WARN` Message severity level indicating that an error might have occurred.
    `static List` | `VALUES` Immutable `List` of valid `FacesMessage.Severity` instances, in ascending order of their ordinal value.
    `static Map` | `VALUES_MAP` Immutable `Map` of valid `FacesMessage.Severity` instances, keyed by name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacesMessage()` Construct a new `FacesMessage` with no initial values.
    `FacesMessage(FacesMessage.Severity severity, String summary, String detail)` Construct a new `FacesMessage` with the specified initial values.
    `FacesMessage(String summary)` Construct a new `FacesMessage` with just a summary.
    `FacesMessage(String summary, String detail)` Construct a new `FacesMessage` with the specified initial values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDetail()` Return the localized detail text.
    `FacesMessage.Severity` | `getSeverity()` Return the severity level.
    `String` | `getSummary()` Return the localized summary text.
    `boolean` | `isRendered()`
    `void` | `rendered()` Marks this message as having been rendered to the client.
    `void` | `setDetail(String detail)` Set the localized detail text.
    `void` | `setSeverity(FacesMessage.Severity severity)` Set the severity level.
    `void` | `setSummary(String summary)` Set the localized summary text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACES_MESSAGES

          public static final String FACES_MESSAGES

      `ResourceBundle` identifier for messages whose message identifiers are defined in the JavaServer Faces specification.

      See Also:
        Constant Field Values

    - #### SEVERITY_INFO

          public static final FacesMessage.Severity SEVERITY_INFO

      Message severity level indicating an informational message rather than an error.

    - #### SEVERITY_WARN

          public static final FacesMessage.Severity SEVERITY_WARN

      Message severity level indicating that an error might have occurred.

    - #### SEVERITY_ERROR

          public static final FacesMessage.Severity SEVERITY_ERROR

      Message severity level indicating that an error has occurred.

    - #### SEVERITY_FATAL

          public static final FacesMessage.Severity SEVERITY_FATAL

      Message severity level indicating that a serious error has occurred.

    - #### VALUES

          public static final List VALUES

      Immutable `List` of valid `FacesMessage.Severity` instances, in ascending order of their ordinal value.

    - #### VALUES_MAP

          public static final Map VALUES_MAP

      Immutable `Map` of valid `FacesMessage.Severity` instances, keyed by name.

  - ### Constructor Detail

    - #### FacesMessage

          public FacesMessage()

      Construct a new `FacesMessage` with no initial values. The severity is set to Severity.INFO.

    - #### FacesMessage

          public FacesMessage(String summary)

      Construct a new `FacesMessage` with just a summary. The detail is `null`, the severity is set to `Severity.INFO`.

    - #### FacesMessage

          public FacesMessage(String summary,
                      String detail)

      Construct a new `FacesMessage` with the specified initial values. The severity is set to Severity.INFO.

      Parameters:
        `summary` - Localized summary message text
        `detail` - Localized detail message text
      Throws:
        `IllegalArgumentException` - if the specified severity level is not one of the supported values

    - #### FacesMessage

          public FacesMessage(FacesMessage.Severity severity,
                      String summary,
                      String detail)

      Construct a new `FacesMessage` with the specified initial values.

      Parameters:
        `severity` - the severity
        `summary` - Localized summary message text
        `detail` - Localized detail message text
      Throws:
        `IllegalArgumentException` - if the specified severity level is not one of the supported values

  - ### Method Detail

    - #### getDetail

          public String getDetail()

      Return the localized detail text. If no localized detail text has been defined for this message, return the localized summary text instead.

    - #### setDetail

          public void setDetail(String detail)

      Set the localized detail text.

      Parameters:
        `detail` - The new localized detail text

    - #### getSeverity

          public FacesMessage.Severity getSeverity()

      Return the severity level.

    - #### setSeverity

          public void setSeverity(FacesMessage.Severity severity)

      Set the severity level.

      Parameters:
        `severity` - The new severity level
      Throws:
        `IllegalArgumentException` - if the specified severity level is not one of the supported values

    - #### getSummary

          public String getSummary()

      Return the localized summary text.

    - #### setSummary

          public void setSummary(String summary)

      Set the localized summary text.

      Parameters:
        `summary` - The new localized summary text

    - #### isRendered

          public boolean isRendered()

      Returns:
        `true` if `rendered()` has been called, otherwise `false`
      Since:
        2.0

    - #### rendered

          public void rendered()

      Marks this message as having been rendered to the client.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.